org.apache.lucene.queries.function.valuesource

## Class QueryValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.QueryValueSource

    public class QueryValueSource
    extends ValueSource

`QueryValueSource` returns the relevance score of the query

### Constructor Summary

Constructors
Constructor and Description
`QueryValueSource(Query q, float defVal)`

### Method Summary

Methods
`void` `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`float` `getDefaultValue()`
`Query` `getQuery()`
`FunctionValues` `getValues(Map fcontext, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryValueSource

    public QueryValueSource(Query q,
                    float defVal)

### Method Detail

#### getQuery

    public Query getQuery()

#### getDefaultValue

    public float getDefaultValue()

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`

#### getValues

    public FunctionValues getValues(Map fcontext,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

#### createWeight

    public void createWeight(Map context,
                    IndexSearcher searcher)
                      throws IOException

Description copied from class: `ValueSource`
Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.

Overrides:
  `createWeight` in class `ValueSource`
Throws:
  `IOException`